"""add lat-lon into user sessions

Revision ID: d7e762ef42be
Revises: bb9423fd26b4
Create Date: 2023-10-22 10:10:48.372614

"""
from typing import Sequence, Union

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "d7e762ef42be"
down_revision: Union[str, None] = "bb9423fd26b4"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "usersession", sa.Column("longitude", sa.Float(precision=10), nullable=True)
    )
    op.add_column(
        "usersession", sa.Column("latitude", sa.Float(precision=10), nullable=True)
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("usersession", "latitude")
    op.drop_column("usersession", "longitude")
    # ### end Alembic commands ###
